Bug 1208441 - wiredtiger ExclusiveArch blocker bug
Summary: wiredtiger ExclusiveArch blocker bug
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: wiredtiger
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-x86, F-ExcludeArch-x86 F-ExcludeArch-ARM
TreeView+ depends on / blocked
 
Reported: 2015-04-02 09:35 UTC by Marek Skalický
Modified: 2020-03-07 17:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-07 17:02:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Marek Skalický 2015-04-02 09:35:06 UTC
WiredTiger storage engine does not support 32bit architectures. It is designed for modern server architectures.
"There's some key/value encoding we do in WiredTiger that currently requires a size_t be at least 8B."

https://jira.mongodb.org/browse/DOCS-4660
https://groups.google.com/forum/#!msg/wiredtiger-users/twmZmonmBXI/

Comment 1 Peter Robinson 2015-04-02 10:03:20 UTC
(In reply to Marek Skalický from comment #0)
> WiredTiger storage engine does not support 32bit architectures. It is
> designed for modern server architectures.

How does that impact mongodb support?

Comment 2 Marek Skalický 2015-04-02 10:08:02 UTC
WiredTiger a new data storage engine. But it is optional, so mongodb will use the old storage engine on unsupported arches.

See http://docs.mongodb.org/manual/release-notes/3.0/#wiredtiger

Comment 3 Matthias Saou 2015-10-06 13:46:39 UTC
Note also that I have learned the hard way that MongoDB does not support using the external shared WiredTiger library...

See :
 * https://jira.mongodb.org/browse/SERVER-20753
 * https://groups.google.com/forum/#!searchin/mongodb-dev/mongodb$20wiredtiger$20compatibility/mongodb-dev/31FQSo4KVCI/Fx-WtJ9fzU4J

So currently the wiredtiger 2.6.1 packages present in Fedora against which mongodb 3.0.4 has been built seem to mostly work, but updating mongodb to 3.0.6 while still using that latest wiredtiger release breaks runtime pretty badly (the "show dbs" command no longer works, meaning that backup tools don't either, etc.)

Comment 4 Marek Skalický 2015-10-06 15:10:45 UTC
Hello Matthias,
yes MongoDB don't work with external WiredTiger. I was trying to create patches to have this working. But I had found a patch and with following version it was broken again. In my point of view it was unmaintainable.
So I've created FPC ticker allow bundling WT library - https://fedorahosted.org/fpc/ticket/562 and temporarily disabled WT support in MongoDB 3.0.6 (it shoudl be in F23 and Rawhide now).
Bundling WT should solve this problem...

Comment 6 Honza Horak 2020-03-07 17:02:51 UTC
This is a dead package now.


Note You need to log in before you can comment on or make changes to this bug.